Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.app.analyst.csv
Class AnalystClusterCSV

    java.lang.Object
      org.encog.app.analyst.csv.basic.BasicFile
          org.encog.app.analyst.csv.AnalystClusterCSV

All Implemented Interfaces:
  QuantTask

    public class AnalystClusterCSV

extends BasicFile

Used by the analyst to cluster a CSV file.

Field Summary

Fields inherited from class org.encog.app.analyst.csv.basic.BasicFile
`REPORT_INTERVAL`

Constructor Summary
`AnalystClusterCSV()`

Method Summary
`void` | `analyze(EncogAnalyst theAnalyst, File inputFile, boolean headers, CSVFormat format)` Analyze the data.
`void` | `process(File outputFile, int clusters, EncogAnalyst theAnalyst, int iterations)` Process the file and cluster.

Methods inherited from class org.encog.app.analyst.csv.basic.BasicFile
`appendSeparator, getColumnCount, getInputFilename, getInputFormat, getInputHeadings, getOutputFormat, getPrecision, getRecordCount, getReport, getReportInterval, getScript, isAnalyzed, isExpectInputHeaders, isProduceOutputHeaders, performBasicCounts, prepareOutputFile, readHeaders, reportDone, reportDone, requestStop, resetStatus, setAnalyzed, setColumnCount, setExpectInputHeaders, setInputFilename, setInputFormat, setInputHeadings, setOutputFormat, setPrecision, setProduceOutputHeaders, setRecordCount, setReport, setReportInterval, setScript, shouldStop, toString, updateStatus, updateStatus, validateAnalyzed, writeRow`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnalystClusterCSV

    public AnalystClusterCSV()

Method Detail

### analyze

    public final void analyze(EncogAnalyst theAnalyst,
                              File inputFile,
                              boolean headers,
                              CSVFormat format)

  Analyze the data. This counts the records and prepares the data to be processed.

  Parameters:
    `theAnalyst` - The analyst to use.
    `inputFile` - The input file to analyze.
    `headers` - True, if the input file has headers.
    `format` - The format of the input file.

### process

    public final void process(File outputFile,
                              int clusters,
                              EncogAnalyst theAnalyst,
                              int iterations)

  Process the file and cluster.

  Parameters:
    `outputFile` - The output file.
    `clusters` - The number of clusters.
    `theAnalyst` - The analyst to use.
    `iterations` - The number of iterations to use.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.